<template>
	<view class="container all-type-list-wrapper">
		<!-- 自定义顶部 -->
		<custom-floor :systeminfo="systeminfo" :navbar-data="nvabarData" :headerBtnPosi="headerBtnPosi"></custom-floor>
		<view class="tui-header-screen" :style="{ top: CustomBar + 'px' }">
			<view class="tui-screen-top">
				<view
					class="tui-top-item"
					:class="[tabIndex == 0 ? 'tui-active' : '']"
					@tap="handleScreen"
					data-index="0"
					>综合</view
				>
				<view
					class="tui-top-item tui-icon-ml"
					:class="[tabIndex == 1 ? 'tui-active' : '']"
					data-index="1"
					@tap="handleScreen"
				>
					<view>销量</view> <text class="iconfont icon-shangxiajiantou" v-if="isSearchSalesFirst"></text>
					<template v-else>
						<tui-icon
							:name="isSearchSales ? 'turningdown' : 'turningup'"
							:size="18"
							:color="tabIndex == 1 ? '#e15616' : '#999'"
							tui-icon-class="tui-ml"
						></tui-icon>
					</template>
				</view>
				<view
					class="tui-top-item tui-icon-ml"
					:class="[tabIndex == 2 ? 'tui-active' : '']"
					data-index="2"
					@tap="handleScreen"
				>
					<view>人气</view> <text class="iconfont icon-shangxiajiantou" v-if="isSearchMoodFirst"></text>
					<template v-else>
						<tui-icon
							:name="isSearchMood ? 'turningdown' : 'turningup'"
							:size="18"
							:color="tabIndex == 2 ? '#e15616' : '#999'"
							tui-icon-class="tui-ml"
						></tui-icon>
					</template>
				</view>
				<view
					class="tui-top-item tui-icon-ml"
					:class="[tabIndex == 3 ? 'tui-active' : '']"
					data-index="3"
					@tap="handleScreen"
				>
					<view>价格</view> <text class="iconfont icon-shangxiajiantou" v-if="isSearchPriceFirst"></text>
					<template v-else>
						<tui-icon
							:name="isSearchPrice ? 'turningdown' : 'turningup'"
							:size="18"
							:color="tabIndex == 3 ? '#e15616' : '#999'"
							tui-icon-class="tui-ml"
						></tui-icon>
					</template>
				</view>
				<view class="tui-top-item" @tap="handleScreen" data-index="4">
					<view>筛选</view> <text class="iconfont icon-shaixuan"></text>
				</view>
			</view>
		</view>
		<!-- 商品列表 -->
		<list-skeleton v-if="showSkeleton" :listType="0"></list-skeleton>
		<template v-else>
			<view class="empty-container" v-if="showEmpty">
				<image
					class="empty-container-image"
					src="https://img.caimei365.com/group1/M00/03/71/Cmis2F3wna6AY2ZjAABpmnBICH4247.png"
				></image>
				<text class="error-text">{{ emptyText }}</text>
			</view>
			<template v-else>
				<view
					class="container-list"
					:style="{ height: scrollHeight + 'px', paddingTop: CustomBar + 44 + 'px' }"
				>
					<view
						v-for="(pros, index) in listData"
						:key="index"
						:id="pros.productId"
						class="all-type-list-content commodity-list"
						@click.stop="navToDetailPage(pros.productId)"
					>
						<image mode="widthFix" :src="pros.image" class="list-img" alt="list-img"></image>
						<view class="list-details-info">
							<text class="list-details-title">
								<text class="mclap-tag" v-if="pros.beautyActFlag == 1">美博会</text>
								<text class="mclap" :class="pros.beautyActFlag == 1 ? 'indent' : ''">{{
									pros.name
								}}</text>
							</text>
							<text class="list-details-specs">规格：{{ pros.unit }}</text>
							<view class="list-details-specs" v-if="pros.code != '' && pros.code != null"
								>商品编码：{{ pros.code }}</view
							>
							<view class="list-details-price">
								<template v-if="userIdentity == 3">
									<view class="floor-item-act">
										<view class="coupon-tags" v-if="pros.couponsLogo">优惠券</view>
										<template v-if="pros.actStatus == 1">
											<view class="floor-tags" v-if="PromotionsFormat(pros.promotions)">
												{{ pros.promotions.name }}
												<text v-if="hasLogin && userIdentity == 3 && pros.priceFlag != 1"
													>:￥{{ pros.price | NumFormat }}</text
												>
											</view>
											<view class="floor-tags" v-else>{{ pros.promotions.name }}</view>
										</template>
										<template v-if="pros.svipProductFlag == 1">
											<view
												class="svip-tags"
												v-if="hasLogin && userIdentity == 3 && pros.priceFlag != 1"
											>
												<view class="tags">SVIP</view>
												<view class="price">{{ pros.svipPriceTag }}</view>
											</view>
											<view class="svip-tags" v-else> <view class="tags none">SVIP</view> </view>
										</template>
									</view>
								</template>
								<template v-else-if="userIdentity == 1">
									<view class="floor-item-act">
										<view class="coupon-tags" v-if="pros.couponsLogo">优惠券</view>
										<template v-if="pros.actStatus == 1">
											<view
												class="floor-tags"
												v-if="pros.actStatus == 1 && PromotionsFormat(pros.promotions)"
											>
												{{ pros.promotions.name }} <text>:￥{{ pros.price | NumFormat }}</text>
											</view>
											<view class="floor-tags" v-else>{{ pros.promotions.name }}</view>
										</template>
										<template v-if="pros.svipProductFlag == 1">
											<view class="svip-tags"><view class="tags none">SVIP</view> </view>
										</template>
									</view>
								</template>
								<template v-else>
									<view class="floor-item-act">
										<view class="coupon-tags" v-if="pros.couponsLogo">优惠券</view>
										<template v-if="pros.actStatus == 1">
											<view
												class="floor-tags"
												v-if="pros.actStatus == 1 && PromotionsFormat(pros.promotions)"
											>
												{{ pros.promotions.name }}
												<text v-if="hasLogin && userIdentity == 2 && pros.priceFlag != 1"
													>:￥{{ pros.price | NumFormat }}</text
												>
											</view>
											<view class="floor-tags" v-else>{{ pros.promotions.name }}</view>
										</template>
										<template v-if="pros.svipProductFlag == 1">
											<view class="svip-tags">
												<view class="tags" :class="{ none: vipFlag == 0 }">SVIP</view>
												<view class="price" v-if="isShowVipFlag(pros)">{{
													pros.svipPriceTag
												}}</view>
											</view>
										</template>
									</view>
								</template>
								<view v-if="hasLogin" class="list-price">
									<template v-if="userIdentity == 1">
										<text v-if="priceLoading" class="price-larger small">正在获取价格...</text>
										<template v-else>
											<text
												class="price-larger"
												:class="
													PromotionsFormat(pros.promotions) || pros.svipProductFlag == 1
														? 'none'
														: ''
												"
											>
												￥{{
													(PromotionsFormat(pros.promotions) || pros.svipProductFlag == 1
														? pros.originalPrice
														: pros.price) | NumFormat
												}}
											</text>
										</template>
									</template>
									<template v-if="userIdentity == 4 && vipFlag != 1">
										<view class="price-larger" v-if="pros.priceFlag == 1">
											<text class="txt">￥未公开价格</text>
										</view>
										<text v-else-if="priceLoading" class="price-larger small">正在获取价格...</text>
										<template v-else>
											<view class="price-larger" v-if="pros.priceFlag == 2">
												<text class="txt">￥价格仅会员可见</text>
											</view>
											<text
												v-else
												class="price-larger"
												:class="
													PromotionsFormat(pros.promotions) || pros.svipProductFlag == 1
														? 'none'
														: ''
												"
											>
												￥{{
													(PromotionsFormat(pros.promotions) || pros.svipProductFlag == 1
														? pros.originalPrice
														: pros.price) | NumFormat
												}}
											</text>
										</template>
									</template>
									<template v-if="userIdentity == 3">
										<template v-if="pros.supplierId === shopId">
											<view class="price-larger" v-if="pros.priceFlag == 1">
												<text class="txt">￥未公开价格</text>
											</view>
											<text v-else-if="priceLoading" class="price-larger small"
												>正在获取价格...</text
											>
											<text
												v-else
												class="price-larger"
												:class="
													PromotionsFormat(pros.promotions) || pros.svipProductFlag == 1
														? 'none'
														: ''
												"
											>
												￥{{
													(PromotionsFormat(pros.promotions) || pros.svipProductFlag == 1
														? pros.originalPrice
														: pros.price) | NumFormat
												}}
											</text>
										</template>
										<template v-else>
											<view class="list-login-now">
												<text class="p-no">￥</text>
												<uni-grader :grade="Number(pros.priceGrade)"></uni-grader>
											</view>
										</template>
									</template>
									<template v-if="userIdentity == 2 || (userIdentity == 4 && vipFlag == 1)">
										<view class="price-larger" v-if="pros.priceFlag == 1">
											<text class="txt">￥未公开价格</text>
										</view>
										<text v-else-if="priceLoading" class="price-larger small">正在获取价格...</text>
										<template v-else>
											<text
												class="price-larger"
												:class="
													PromotionsFormat(pros.promotions) || pros.svipProductFlag == 1
														? 'none'
														: ''
												"
											>
												￥{{
													(PromotionsFormat(pros.promotions) || pros.svipProductFlag == 1
														? pros.originalPrice
														: pros.price) | NumFormat
												}}
											</text>
										</template>
									</template>
								</view>
								<view v-else class="list-login-now">
									<text class="p-no">￥</text>
									<uni-grader :grade="Number(pros.priceGrade)"></uni-grader>
								</view>
							</view>
						</view>
					</view>
					<!--加载loadding-->
					<tui-loadmore :visible="loadding" :index="3" type="black"></tui-loadmore>
					<tui-nomore :visible="!pullUpOn" :backgroundColor="'#ffffff'" :text="nomoreText"></tui-nomore>
					<!--加载loadding-->
				</view>
			</template>
		</template>
		<!--右抽屉-->
		<tui-drawer mode="right" :visible="rightDrawer" @close="closeDrawer">
			<view
				class="drawer-container clearfix"
				scroll-y
				:style="{ paddingTop: CustomBar + 'px', paddingBottom: isIphoneX ? '180rpx' : '146rpx' }"
			>
				<scroll-view class="tui-drawer-scroll" scroll-y :style="{ height: drawerH + 'px' }">
					<view class="drawer-title">
						<view class="drawer-title-h1">品牌</view>
						<view class="drawer-title-p"
							>已选中<text class="text">{{ checkedBrandLength }}</text
							>个品牌</view
						>
					</view>
					<view class="drawer-main">
						<view class="drawer-main-brand clearfix">
							<view
								class="drawer-brand-list"
								:class="isAllcheckedBrand ? 'checked' : ''"
								@click="choiceBrandAll"
								>全部</view
							>
							<view
								class="drawer-brand-list"
								:class="brand.isChecked ? 'checked' : ''"
								v-for="(brand, index) in brandLists"
								:key="index"
								@click="choiceBrand(brand, index)"
							>
								{{ brand.name }}
							</view>
							<view class="drawer-brand-more" v-if="!isShowAllBrands" @click="showAllBrands"
								>查看全部<text class="iconfont icon-xiangxiajiantou"></text
							></view>
						</view>
						<view class="drawer-main-radio">
							<view class="drawer-radio-name">新品</view>
							<view class="drawer-radio-input" @click="choiceNewType">
								<text
									class="iconfont"
									:class="isChoiceNewType ? 'icon-yixuanze' : 'icon-weixuanze'"
								></text>
							</view>
						</view>
						<view class="drawer-main-radio">
							<view class="drawer-radio-name">促销商品</view>
							<view class="drawer-radio-input" @click="choiceActiType">
								<text
									class="iconfont"
									:class="isChoiceActiType ? 'icon-yixuanze' : 'icon-weixuanze'"
								></text>
							</view>
						</view>
					</view>
				</scroll-view>
				<view class="drawer-input btn" :style="{ paddingBottom: isIphoneX ? '68rpx' : '34rpx' }">
					<view class="drawer-btn clear" @click="closeDrawer">取消</view>
					<view class="drawer-btn comfrim" @click="handSearchList">确定</view>
				</view>
			</view>
		</tui-drawer>
		<!-- 透明模态层 -->
		<modal-layer v-if="isModallayer"></modal-layer>
	</view>
</template>

<script>
import { mapState, mapMutations } from 'vuex'
import listSkeleton from '@/components/cm-module/listTemplate/listSkeleton'
import customFloor from '@/components/cm-custom/custom-floor' //自定义导航
import uniGrader from '@/components/uni-grade/uni-grade.vue'
import modalLayer from '@/components/modal-layer'
import authorize from '@/common/config/authorize.js'
import wxLogin from '@/common/config/wxLogin.js'
export default {
	components: {
		customFloor,
		listSkeleton,
		uniGrader,
		modalLayer
	},
	data() {
		return {
			shopId: 0,
			tabIndex: 0,
			isModallayer: false,
			isShowAllBrands: false,
			isSearchSalesFirst: true,
			isSearchMoodFirst: true,
			isSearchPriceFirst: true,
			isSearchSales: true,
			isSearchMood: true,
			isSearchPrice: true,
			isChoiceNewType: false,
			isChoiceActiType: false,
			isAllcheckedBrand: false,
			headerBtnPosi: this.setHeaderBtnPosi(), //获取设备顶部胶囊高度
			systeminfo: this.setSysteminfo(), //获取设备信息
			CustomBar: this.CustomBar, // 顶部导航栏高度
			isIphoneX: this.$store.state.isIphoneX,
			emptyText: '该分类暂时还没有商品哟，去逛逛别的吧~',
			isRequest: false,
			showSkeleton: true,
			showEmpty: false,
			userId: 0,
			vipFlag: 0,
			userIdentity: 0,
			actasFlag: 2,
			listData: [],
			brandLists: [],
			checkedBrandList: [],
			checkedBrandLength: 0,
			windowHeight: '',
			scrollHeight: '',
			pathQueryId:0,
			listQuery: {
				id: 0,
				identity: 0,
				pageNum: 1,
				pageSize: 10,
				sortField: '',
				sortType: 1,
				brandIds: '', // 品牌Id
				newFlag: 0, // 查询新品标记，默认0，新品1
				promotionFlag: 0, // 查询促销标记，默认0，促销1
				idType: 0 //一级
			},
			brandParam: {
				keyword: '',
				id: '',
				idType: '',
				identity: 0
			},
			priceLoading: true,
			loadding: false,
			pullUpOn: true,
			pullFlag: true,
			totalPage: 0,
			nomoreText: '上拉显示更多',
			rightDrawer: false,
			classifyType: 0,
			classData: {},
			searchCheckedId: null,
			height: 0,
			drawerH: 0 // 抽屉内部scrollview高度
		}
	},
	computed: {
		...mapState(['hasLogin', 'userInfo', 'identity', 'isWxAuthorize'])
	},
	onLoad(option) {
		console.log(option)
		if (option.type == 'share') {
			wxLogin.wxLoginAuthorize()
		}
		this.SetScrollHeight()
		this.initGetStotage(option)
	},

	filters: {
		NumFormat: function(text) {
			//处理金额
			return Number(text).toFixed(2)
		}
	},
	methods: {
		async initGetStotage(option) {
			const userInfo = await this.$api.getStorage()
			this.listQuery.id = this.pathQueryId = this.brandParam.id = option.id
			this.listQuery.identity = this.identity
			this.listQuery.idType = this.classifyType = this.brandParam.idType = Number(option.classType)
			uni.setNavigationBarTitle({ title: option.title })
			this.userId = userInfo.userId ? userInfo.userId : 0
			this.shopId = userInfo.shopId ? userInfo.shopId : 0
			this.userIdentity = userInfo.userIdentity ? userInfo.userIdentity : 0
			this.vipFlag = userInfo.vipFlag ? userInfo.vipFlag : 0
			if (this.userIdentity == 1) {
				this.actasFlag = this.userIdentity
			} else {
				this.actasFlag = 2
			}
			this.isRequest = true
			this.GetProductListInfo()
			this.GetProductOneClassly()
			this.getCommoditySearchQUeryBrand()
			console.log(this.classifyID)
		},
		GetProductOneClassly() {
			//根据分类ID 查询二三级分类
			this.CommonService.GetProductOneClassly({
				typeId: this.listQuery.id,
				idType: this.classifyType,
				source: 'crm'
			})
				.then(response => {
					this.classData = response.data
				})
				.catch(error => {
					this.$util.msg(error.msg, 2000)
				})
		},
		getCommoditySearchQUeryBrand() {
			// 查询筛选项品牌
			this.ProductService.getCommoditySearchQUeryBrand(this.brandParam)
				.then(response => {
					const data = response.data
					this.defaultBrandLists = data.map((el, index) => {
						el.isChecked = false
						return el
					})
					if(this.defaultBrandLists.length>11){
						this.isShowAllBrands = false
					}else{
						this.isShowAllBrands = true
					}
					this.brandLists = this.defaultBrandLists.slice(0, 11)
					console.log('品牌=============>', this.brandLists)
				})
				.catch(error => {
					console.log('查询品牌列表异常')
				})
		},
		GetProductListInfo() {
			//查询分类商品列表
			this.listQuery.pageNum = 1
			this.ProductService.GetSearchProductTypeData(this.listQuery)
				.then(response => {
					const resData = JSON.parse(response.data)
					const resList = resData.items
					this.showSkeleton = false
					if (resList && resList.length > 0) {
						this.showEmpty = false
						this.totalPage = resData.total
						this.listData = [...resList]
						this.GetProductPrice()
						// 防上拉暴滑
						this.pullFlag = false
						setTimeout(() => {
							this.pullFlag = true
						}, 500)
						// 底部提示文案
						if (this.totalPage > this.listData.length) {
							this.pullUpOn = false
							this.nomoreText = '上拉显示更多'
						} else {
							if (this.listData.length > 4) {
								this.pullUpOn = false
								this.loadding = false
								this.nomoreText = '已至底部'
							} else {
								this.pullUpOn = true
								this.loadding = false
								this.nomoreText = '已至底部'
							}
						}
						console.log(this.listData)
					} else {
						this.showEmpty = true
					}
				})
				.catch(error => {
					this.$util.msg(error.msg, 2000)
				})
		},
		GetOnReachBottomData() {
			//上拉加载
			this.listQuery.pageNum += 1
			this.ProductService.GetSearchProductTypeData(this.listQuery)
				.then(response => {
					const resData = JSON.parse(response.data)
					const resList = resData.items
					this.totalPage = resData.total
					this.listData = [...this.listData, ...resList]
					this.GetProductPrice()
					// 防上拉暴滑
					this.pullFlag = false
					setTimeout(() => {
						this.pullFlag = true
					}, 500)
					// 底部提示文案
					if (this.totalPage > this.listData.length) {
						this.pullUpOn = false
						this.nomoreText = '上拉显示更多'
					} else {
						this.pullUpOn = false
						this.loadding = false
						this.nomoreText = '已至底部'
					}
				})
				.catch(error => {
					this.$util.msg(error.msg, 2000)
				})
		},
		GetProductPrice() {
			//获取价格
			let productIdArr = []
			this.listData.map(item => {
				// 0公开价格 1不公开价格 2仅对资质机构公开
				productIdArr.push(item.productId)
			})
			this.priceLoading = true
			this.productIds = productIdArr.join(',')
			this.ProductService.querySearchProductPrice({
				flag: this.actasFlag, //查询促销标记 1协销 2机构 3供应商
				userId: this.userId,
				productIds: this.productIds,
				source: 2
			})
				.then(response => {
					if (response.data) {
						this.listData = this.ReturnNewProducts(this.listData, response.data)
					}
					this.priceLoading = false
				})
				.catch(error => {
					this.$util.msg(error.msg, 2000)
				})
		},
		ReturnNewProducts(Array, list) {
			//处理对应商品ID的商品价格
			let NewArray = []
			Array.map(item => {
				for (let i = 0; i < list.length; i++) {
					if (item.productId == list[i].productId) {
						NewArray.push(Object.assign(item, list[i]))
					}
				}
			})
			return NewArray
		},
		handleScreen(e) {
			let index = e.currentTarget.dataset.index
			console.log(index)
			if (index == 0) {
				this.tabIndex = 0
				this.isSearchSalesFirst = true
				this.isSearchMoodFirst = true
				this.isSearchPriceFirst = true
				this.listQuery.sortType = 1
				this.listQuery.sortField = ''
				this.GetProductListInfo()
			} else if (index == 1) {
				this.tabIndex = 1
				this.isSearchSalesFirst = false
				this.isSearchMoodFirst = true
				this.isSearchPriceFirst = true
				this.isSearchSales = !this.isSearchSales
				if (this.isSearchSales) {
					this.listQuery.sortType = 1
				} else {
					this.listQuery.sortType = 0
				}
				this.listQuery.sortField = 'sales'
				this.GetProductListInfo()
			} else if (index == 2) {
				this.tabIndex = 2
				this.isSearchSalesFirst = true
				this.isSearchPriceFirst = true
				this.isSearchMoodFirst = false
				this.isSearchMood = !this.isSearchMood
				if (this.isSearchMood) {
					this.listQuery.sortType = 1
				} else {
					this.listQuery.sortType = 0
				}
				this.listQuery.sortField = 'favorite'
				this.GetProductListInfo()
			} else if (index == 3) {
				this.tabIndex = 3
				this.isSearchSalesFirst = true
				this.isSearchMoodFirst = true
				this.isSearchPriceFirst = false
				this.isSearchPrice = !this.isSearchPrice
				if (this.isSearchPrice) {
					this.listQuery.sortType = 1
				} else {
					this.listQuery.sortType = 0
				}
				this.listQuery.sortField = 'price'
				this.GetProductListInfo()
			} else if (index == 4) {
				console.log('type', this.listQuery.id)
				this.searchClickFn()
			}
		},
		handSearchList() {
			//确定筛选
			if (this.searchCheckedId == null) {
				this.listQuery.id = this.pathQueryId
			} else {
				this.listQuery.id = this.searchCheckedId
			}
			this.rightDrawer = false
			this.GetProductListInfo()
		},
		navToDetailPage(id) {
			this.isModallayer = true
			this.$api.navigateTo(`/pages/goods/product?id=${id}`)
			this.isModallayer = false
		},
		PromotionsFormat(promo) {
			//促销活动类型数据处理
			if (promo != null) {
				if (promo.type == 1 && promo.mode == 1) {
					return true
				} else {
					return false
				}
			}
			return false
		},
		isShowVipFlag(pros) {
			// 超级会员价格显示控制
			if (this.hasLogin && pros.priceFlag != 1) {
				if (this.userIdentity == 4 && this.vipFlag == 1) {
					return true
				} else if (this.userIdentity == 2) {
					return true
				}
			}
		},
		showAllBrands() {
			// 显示全部品牌
			this.isShowAllBrands = true
			this.brandLists = this.defaultBrandLists
		},
		choiceBrand(brand, index) {
			// 选择品牌
			brand.isChecked = !brand.isChecked
			if (brand.isChecked) {
				this.checkedBrandList.push(brand.id)
			} else {
				this.checkedBrandList.splice(index, 1)
			}
			this.isAllcheckedBrand = false
			this.checkedBrandLength = this.checkedBrandList.length
			console.log('checkedBrandList', this.checkedBrandList)
			this.listQuery.brandIds = this.checkedBrandList.join(',')
			console.log('this.listQuery.brandIds', this.listQuery.brandIds)
		},
		choiceBrandAll() {
			// 点击选择全部品牌
			this.isAllcheckedBrand = true
			this.listQuery.brandIds = ''
			this.brandLists.forEach(el => {
				el.isChecked = false
			})
		},
		choiceNewType() {
			// 选择筛选项新品
			this.isChoiceNewType = !this.isChoiceNewType
			if (this.isChoiceNewType) {
				this.listQuery.newFlag = 1
			} else {
				this.listQuery.newFlag = 0
			}
		},
		choiceActiType() {
			// 选择筛选项促销商品
			this.isChoiceActiType = !this.isChoiceActiType
			if (this.isChoiceActiType) {
				this.listQuery.promotionFlag = 1
			} else {
				this.listQuery.promotionFlag = 0
			}
		},
		SetScrollHeight() {
			let obj = {}
			const { windowHeight, pixelRatio } = wx.getSystemInfoSync()
			uni.getSystemInfo({
				success: res => {
					this.height = obj.top ? obj.top + obj.height + 8 : res.statusBarHeight + 44
					this.drawerH = res.windowHeight - uni.upx2px(180) - this.height
				}
			})
			this.windowHeight = windowHeight - 1
			this.scrollHeight = windowHeight - 1
		},
		setHeaderBtnPosi() {
			// 获得胶囊按钮位置信息
			let headerBtnPosi = uni.getMenuButtonBoundingClientRect()
			return headerBtnPosi
		},
		searchClickFn() {
			//弹出抽屉
			this.rightDrawer = true
		},
		closeDrawer(e) {
			//关闭抽屉
			this.rightDrawer = false
		},
		setSysteminfo() {
			let systeminfo
			uni.getSystemInfo({
				// 获取设备信息
				success: res => {
					systeminfo = res
				}
			})
			return systeminfo
		}
	},
	onPullDownRefresh() {
		setTimeout(() => {
			this.GetProductListInfo()
			uni.stopPullDownRefresh()
		}, 200)
	},
	onReachBottom() {
		if (this.totalPage > this.listData.length) {
			this.loadding = true
			this.pullUpOn = true
			this.GetOnReachBottomData()
		}
	},
	onShareAppMessage(res) {
		//分享转发
		if (res.from === 'button') {
			// 来自页面内转发按钮
		}
		return {
			title: `点击查看“${this.classData.name}”相关的商品`,
			path: `pages/goods/goods-classify?type=share&classType=${this.classifyType}&id=${this.listQuery.id}&title=${
				this.classData.name
			}`
		}
	},
	onShow() {}
}
</script>

<style lang="scss">
page {
	background: #ffffff;
	.all-type-list-wrapper {
		display: flex;
		flex-direction: column;
	}
}
.container-list {
	width: 100%;
	height: auto;
}
.all-type-list-content {
	height: 216rpx;
	padding: 24rpx;
	background: #fff;
	margin-bottom: 2rpx;
	display: flex;
	flex-direction: row;
	box-sizing: content-box;
	.list-img {
		width: 210rpx;
		height: 218rpx !important;
		margin-right: 26rpx;
		border-radius: 10rpx;
		border: 2rpx solid #f3f3f3;
	}
}
.list-details-info {
	width: 466rpx;
	display: flex;
	flex-direction: column;
	font-size: 26rpx;
	position: relative;
	.list-details-title {
		position: relative;
		.mclap {
			line-height: 38rpx;
			text-overflow: ellipsis;
			overflow: hidden;
			display: -webkit-box;
			-webkit-line-clamp: 2;
			line-clamp: 2;
			-webkit-box-orient: vertical;
			&.indent {
				text-indent: 95rpx;
			}
		}
		.mclap-tag {
			display: block;
			width: 84rpx;
			height: 32rpx;
			background-image: linear-gradient(270deg, #f9c023 0%, #f83600 100%);
			border-radius: 4rpx 48rpx 4px 4px;
			line-height: 32rpx;
			font-size: $font-size-22;
			color: #ffffff;
			text-align: center;
			position: absolute;
			left: 0;
			top: 0;
		}
	}
	.list-details-specs {
		margin-top: 8rpx;
		color: #666666;
	}
	.list-details-miniQuantity {
		margin-top: 7rpx;
	}
}
.list-details-price {
	width: 100%;
	height: 54rpx;
	line-height: 54rpx;
	position: absolute;
	bottom: -10rpx;
	right: 0;
	.floor-item-act {
		height: 54rpx;
		text-align: center;
		box-sizing: border-box;
		float: right;
		padding: 11rpx 0;
	}
	.price-icon {
		width: 22rpx;
		height: 28rpx;
		vertical-align: middle;
		margin-right: 10rpx;
	}
	.price-icon + text {
		font-size: 25rpx;
		vertical-align: middle;
	}
	.list-login-now {
		color: #f8c499;
		float: left;
		line-height: 54rpx;
		.p-no {
			float: left;
			font-size: $font-size-24;
			color: $text-color;
		}
	}
	.login-now {
		padding: 10rpx 10rpx 10rpx 0;
	}
	.list-price {
		color: #ff2a2a;
		height: 44rpx;
		float: left;
		.price-larger {
			width: 100%;
			height: 44rpx;
			font-size: 32rpx;
			&.none {
				text-decoration: line-through;
				color: #999999;
			}
			&.small {
				font-size: $font-size-24;
			}
			.txt {
				font-size: $font-size-24;
				display: inline-block;
				line-height: 44rpx;
				text-align: left;
				float: left;
			}
		}
	}
	.add-cart-btn {
		width: 156rpx;
		height: 64rpx;
		line-height: 64rpx;
		border-radius: 32rpx;
		color: #fff;
		font-size: 26rpx;
		margin-right: 0;
		background: linear-gradient(45deg, rgba(255, 41, 41, 1) 0%, rgba(255, 109, 27, 1) 100%);
	}
}
/*screen*/
.tui-header-screen {
	width: 100%;
	box-sizing: border-box;
	background: #fff;
	position: fixed;
	z-index: 1000;
	/* padding-top: 12rpx; */
}
.tui-screen-top,
.tui-screen-bottom {
	display: flex;
	align-items: center;
	justify-content: space-between;
	font-size: 28rpx;
	color: #999999;
}
.tui-screen-top {
	height: 88rpx;
	position: relative;
	background: #fff;
	border-bottom: 1px solid #efefef;
}
.tui-top-item {
	height: 28rpx;
	line-height: 28rpx;
	flex: 1;
	display: flex;
	align-items: center;
	justify-content: center;
}
.icon-shangxiajiantou {
	font-size: 20rpx;
	color: #999999;
	margin-left: 8rpx;
}
.tui-topitem-active {
	color: #e15616;
}

.tui-screen-bottom {
	height: 100rpx;
	padding: 0 30rpx;
	box-sizing: border-box;
	font-size: 24rpx;
	align-items: center;
	overflow: hidden;
}

.tui-bottom-text {
	line-height: 26rpx;
	max-width: 82%;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.tui-bottom-item {
	flex: 1;
	width: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 0 12rpx;
	box-sizing: border-box;
	background: #f7f7f7;
	margin-right: 20rpx;
	white-space: nowrap;
	height: 60rpx;
	border-radius: 40rpx;
}

.tui-bottom-item:last-child {
	margin-right: 0;
}

.tui-btmItem-active {
	background: #fcedea !important;
	color: #e15616;
	font-weight: bold;
	position: relative;
}

.tui-btmItem-active::after {
	content: '';
	position: absolute;
	border: 1rpx solid #e15616;
	width: 100%;
	height: 100%;
	border-radius: 40rpx;
	left: 0;
	top: 0;
}

.tui-btmItem-tap {
	position: relative;
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
}

.tui-btmItem-tap::after {
	content: '';
	position: absolute;
	width: 100%;
	height: 22rpx;
	background: #f7f7f7;
	left: 0;
	top: 58rpx;
}
.tui-active {
	color: #e15616;
}
.tui-icon-ml .tui-icon-class {
	margin-left: 6rpx;
}

.tui-ml {
	margin-left: 6rpx;
}

.tui-seizeaseat-20 {
	height: 20rpx;
}

.tui-seizeaseat-30 {
	height: 30rpx;
}

.tui-icon-middle .tui-icon-class {
	vertical-align: middle;
}

.tui-middle {
	vertical-align: middle;
}

/*screen*/
.drawer-container {
	width: 580rpx;
	height: 100%;
	padding: 80rpx 0;
	overflow: hidden;
	box-sizing: border-box;
	background-color: #f7f7f7;
	.drawer-title {
		width: 100%;
		height: 72rpx;
		line-height: 72rpx;
		box-sizing: border-box;
		padding: 0 30rpx;
		float: left;
		background-color: #f7f7f7;
		.drawer-title-h1 {
			font-size: $font-size-26;
			color: #e15616;
			font-weight: bold;
			text-align: left;
			float: left;
		}
		.drawer-title-p {
			font-size: $font-size-24;
			float: right;
			color: #333333;
			.text {
				color: #e15616;
			}
		}
	}
	.drawer-main {
		width: 100%;
		height: auto;
		box-sizing: border-box;
		float: left;
		.drawer-main-cell {
			width: 100%;
			height: auto;
			box-sizing: border-box;
			padding: 12rpx 24rpx 24rpx 24rpx;
			background-color: #ffffff;
			.drawer-item-cell {
				width: 100%;
				height: auto;
				float: left;
				.drawer-item-title {
					width: 100%;
					height: 82rpx;
					line-height: 82rpx;
					text-align: left;
					font-size: $font-size-26;
					color: $text-color;
					float: left;
				}
				.drawer-item-main {
					width: 100%;
					height: auto;
					float: left;
					&.none {
						margin-top: 24rpx;
					}
					.drawer-item-text {
						display: inline-block;
						float: left;
						padding: 0 30rpx;
						height: 56rpx;
						border-radius: 28rpx;
						background-color: #f7f7f7;
						line-height: 56rpx;
						text-align: center;
						color: #999999;
						font-size: $font-size-26;
						margin-right: 24rpx;
						margin-bottom: 24rpx;
						&.checked {
							background-color: #fef6f3;
							color: $color-system;
						}
					}
				}
			}
		}
		.drawer-main-brand {
			width: 100%;
			height: auto;
			box-sizing: border-box;
			padding: 12rpx 24rpx 24rpx 24rpx;
			background-color: #ffffff;
			.drawer-brand-list {
				width: 160rpx;
				height: 56rpx;
				line-height: 56rpx;
				text-align: center;
				font-size: 26rpx;
				background-color: #f7f7f7;
				color: #999999;
				border-radius: 30rpx;
				box-sizing: border-box;
				padding: 0 15rpx;
				float: left;
				margin: 12rpx 24rpx 12rpx 0;
				text-overflow: ellipsis;
				overflow: hidden;
				display: -webkit-box;
				-webkit-line-clamp: 1;
				line-clamp: 1;
				-webkit-box-orient: vertical;
				&.checked {
					background-color: #fef6f3;
					color: #e15616;
				}
				&:nth-child(3n) {
					margin-right: 0;
				}
			}
			.drawer-brand-more {
				width: 100%;
				height: 42rpx;
				line-height: 42rpx;
				float: left;
				font-size: $font-size-24;
				color: #999999;
				text-align: center;
			}
		}
		.drawer-main-radio {
			width: 100%;
			height: 72rpx;
			background-color: #ffffff;
			margin-top: 20rpx;
			box-sizing: border-box;
			padding: 0 24rpx;
			.drawer-radio-name {
				float: left;
				line-height: 72rpx;
				font-size: $font-size-26;
				color: #333333;
			}
			.drawer-radio-input {
				width: 72rpx;
				height: 72rpx;
				float: right;
				line-height: 72rpx;
				text-align: right;
				.iconfont {
					font-size: $font-size-36;
					&.icon-weixuanze {
						color: #b2b2b2;
					}
					&.icon-yixuanze {
						color: #e15616;
					}
				}
			}
		}
	}
	.drawer-input {
		width: 100%;
		float: left;
		box-sizing: border-box;
		padding: 24rpx 10rpx 0 10rpx;
		border: 1px solid rgba(0, 0, 0, 0.2);
		border-radius: 4rpx;
		position: relative;
		background-color: #ffffff;
		&.btn {
			border: none;
			display: flex;
			position: fixed;
			left: 0;
			bottom: 0;
		}
		.drawer-btn {
			width: 210rpx;
			height: 84rpx;
			border-radius: 42rpx;
			background: $btn-confirm;
			line-height: 84rpx;
			text-align: center;
			font-size: $font-size-26;
			color: #ffffff;
			flex: 1;
			margin: 0 10rpx;
			&.comfrim {
				background: $btn-confirm;
			}
			&.clear {
				background: #e1e1e1;
			}
		}
	}
}
</style>
